##
## 
## Copyright (C) 2002 J.D. Cole
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by the
## Free Software Foundation; either version 2, or (at your option) any
## later version.
## 
## This program is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
## for more details.
## 
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
## 
## 

mpi_init();

if mpi_comm_rank() == 0 
  ws= mpi_comm_size();

  for i = 1:(ws-1)
    mpi_send(i,sprintf("Hello #%i",i),computer());
  end
else
  [msg comp_desc] = mpi_recv(0);

  s= sprintf("ID%i: %s, master is %s",
	 mpi_comm_rank(),msg,comp_desc);

  printf("%s\n",s);
end

mpi_finalize();
